/* $Id: VarAccessEnum.java,v 1.1 2006/06/04 08:33:45 erk Exp $
 * -----------------------------------------------------------------------
 * 
 * TSP Library - core components for a generic Transport Sampling Protocol.
 * 
 * Copyright (c) 2002 Yves DUFRENNE, Stephane GALLES, Eric NOULARD and Robert PAGNOT 
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * -----------------------------------------------------------------------
 * 
 * Project    : TSP
 * SubProject : jTSP
 * Maintainer : tsp@astrium-space.com
 * Component  : 
 * 
 * -----------------------------------------------------------------------
 * 
 * Purpose   : Consumer
 * 
 * -----------------------------------------------------------------------
 */

package tsp.consumer.util.configuration;

public final class VarAccessEnum {

    private final String name;

    private VarAccessEnum(String name) {
        this.name = name;
    }

    public final static VarAccessEnum SYNC  = new VarAccessEnum("sync");
    public final static VarAccessEnum ASYNC = new VarAccessEnum("async");
 

    private final static VarAccessEnum[] accesses = {SYNC, ASYNC};

    public static VarAccessEnum getByName(String name) throws SpecException {
        for(int i = 0 ; i < accesses.length ; i++){
             VarAccessEnum currentAccess = accesses[i];
              if(0 == name.compareToIgnoreCase(currentAccess.name)){
                  return currentAccess;
              }
        }
        throw new SpecException("Unable to find Enum : " + name);
    }

    public String toString(){
        return name;
    }
}
